package com.wd.workoffice.contract;

import com.wd.workoffice.app.BaseBean;
import com.wd.workoffice.bean.DepBean;
import com.wd.workoffice.bean.ProcessBean;

import java.util.List;

import flexible.xd.android_base.mvpBase.IBaseModel;
import flexible.xd.android_base.mvpBase.IBasePresenter;
import flexible.xd.android_base.mvpBase.IBaseView;
import io.reactivex.Observable;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public interface BatSaleContract {
    interface Model extends IBaseModel {
        Observable<BaseBean> getProcess(String processCode, Integer transitPartId);

        Observable<BaseBean> getProduct(String phone, String verifyCode, String type);

        Observable<BaseBean> getDep(String permission);
    }

    interface View extends IBaseView {
        void processList(List<ProcessBean> dataList);

        void productList(List<Object> dataList);

        void depList(List<DepBean> dataList);
    }

    interface Presenter extends IBasePresenter<View> {

        void getProcess(String processCode, Integer transitPartId);

        void getProduct(String phone, String verifyCode, String type);

        void getDep(String permission);

    }
}
